Bug 1074471 (CVE-2014-2309) - CVE-2014-2309 Kernel: net: IPv6: crash due to router advertisement flooding
Summary: CVE-2014-2309 Kernel: net: IPv6: crash due to router advertisement flooding
Status: CLOSED ERRATA
Alias: CVE-2014-2309
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140306,repo...
Keywords: Security
Depends On: 1075060 1075062 1075063 1075064
Blocks: 1071403
TreeView+ depends on / blocked
 
Reported: 2014-03-10 10:24 UTC by Prasad J Pandit
Modified: 2019-06-08 19:57 UTC (History)
31 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-04-28 17:19:10 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0439 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2014-04-28 20:43:50 UTC

Description Prasad J Pandit 2014-03-10 10:24:56 UTC
Linux kernel built with the IPv6 protocol support(CONFIG_IPv6) is vulnerable
to a kernel crash caused by a flood of IPv6 router advertisement(RA) packets.
It occurs while processing the IPv6 router advertisement packets.

A remote attacker in the same layer 2 segment can use this flaw to crash the
kernel on a target system, resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=c88507fbad8055297c1d1e21e599f46960cbee39

Introduced in patch:
--------------------
  -> https://git.kernel.org/linus/957c665f37007de93ccbe45902a23143724170d0

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/03/07/6

Comment 1 Prasad J Pandit 2014-03-11 12:09:58 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

Comment 4 Prasad J Pandit 2014-03-11 12:16:26 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1075064]

Comment 6 Fedora Update System 2014-03-28 03:16:09 UTC
kernel-3.13.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-03-28 03:18:07 UTC
kernel-3.13.7-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2014-04-28 16:56:22 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0439 https://rhn.redhat.com/errata/RHSA-2014-0439.html


Note You need to log in before you can comment on or make changes to this bug.